from flask import (
    Blueprint
)
from werkzeug.exceptions import abort

from weather.db import get_db

bp = Blueprint('api', __name__)

@bp.route('/api')
def api():
    db = get_db()
    latest_period = dict(db.execute(
        'SELECT `id` FROM `reports` WHERE `type` = "hourly" ORDER BY `reported_at` DESC'
    ).fetchone())

    current_conditions = dict(db.execute(
        f"SELECT * FROM `periods` WHERE `report_id` = {latest_period['id']} LIMIT 1"
    ).fetchone())

    return current_conditions

